Name:       openvpn-plugin-arachne
Version:    0.1.4
Release:    1
Summary:    An openVPN plugin for arachne

License:    GPL-2.0+
URL:        http://www.nieslony.site/arachne
Source0:    %{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  openvpn-devel, boost-devel, openssl-devel, sdbus-cpp-devel
BuildRequires:  selinux-policy-devel
Requires:       boost

%description
openVPN plugin needed by arachne
 - authentication via HTTP(S) url
 - setup firewall rules based on user/groups

%prep
%setup -q

%build
%configure
%{__make} %{?_smp_mflags}
make -f /usr/share/selinux/devel/Makefile openvpn-plugin-arachne.pp

%install
%make_install
mkdir -pv %{buildroot}%{_datadir}/selinux/packages
install -m 0644 openvpn-plugin-arachne.pp %{buildroot}%{_datadir}/selinux/packages

%files
%license LICENSE
%{_libdir}/openvpn/plugins
%{_datadir}/selinux/packages

%changelog
* Sun Nov 19 2017 Claas Nieslony <claas@nieslony.at> 0.1.0
- Initial version
